Bug 847164 - biosdevname assigns interface names inconsistently
biosdevname assigns interface names inconsistently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: biosdevname (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Narendra K
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 19:43 EDT by kseppi
Modified: 2017-04-20 06:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:35:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode output (8.12 KB, text/plain)
2012-08-16 14:52 EDT, kseppi
no flags Details
lspci -tv output (883 bytes, text/plain)
2012-08-16 14:52 EDT, kseppi
no flags Details
biodecode output (1000 bytes, text/plain)
2012-08-16 14:53 EDT, kseppi
no flags Details
lspci -vvvxxx output (21.86 KB, text/plain)
2012-08-16 14:54 EDT, kseppi
no flags Details
biosdevname -d output (549 bytes, text/plain)
2012-08-16 14:55 EDT, kseppi
no flags Details

  None (edit)
Description kseppi 2012-08-09 19:43:22 EDT
Description of problem:

On a specific machine, biosdevname usually assigns the name "em2" to the only ethernet interface. After rebooting recently, it instead assigned the name "em1" to this interface. If I run biosdevname manually, it reports that the name should be "em2":

# biosdevname -i em1
em2
# biosdevname --policy physical -i em1
em2
#

Running "ifconfig -a" reports that the only interfaces are "em1", "lo", "wlan0", and "virbr0".

Inconsistent interface names cause network configuration to fail at boot. This is a pretty serious, though unpredictable problem.


Version-Release number of selected component (if applicable):

biosdevname-0.4.1-1.fc17.i686

How reproducible:

So far just once. Usually the name is "em2" (and everything works), but this time it was "em1" (and network initialization fails).

Steps to Reproduce:
1. Boot.

Actual results:

Ethernet interface is named "em1". Since there is a /etc/sysconfig/network-scripts/ifcfg-em2 file from the installer, but no ifcfg-em1 script, networking fails to start.

Expected results:

Ethernet interface should be named "em2" as usual.

Additional info:
Comment 1 kseppi 2012-08-09 19:53:20 EDT
For what it's worth, this has now happened three more times, and it seems to be coming up with the inconsistent name "em1" a bit more often than "em2".
Comment 2 Narendra K 2012-08-14 14:23:30 EDT
Please attach the output from the following -

1. dmidecode
2. biosdecode
3. biosdevname -d
4. 'lspci -tv' and 'lspci -vvvxxx'
Comment 3 kseppi 2012-08-16 14:52:03 EDT
Created attachment 604990 [details]
dmidecode output
Comment 4 kseppi 2012-08-16 14:52:50 EDT
Created attachment 604991 [details]
lspci -tv output
Comment 5 kseppi 2012-08-16 14:53:27 EDT
Created attachment 604992 [details]
biodecode output
Comment 6 kseppi 2012-08-16 14:54:31 EDT
Created attachment 604993 [details]
lspci -vvvxxx output
Comment 7 kseppi 2012-08-16 14:55:37 EDT
Created attachment 604994 [details]
biosdevname -d output
Comment 8 kseppi 2012-08-16 14:58:40 EDT
As you might notice from the biosdevname -d output, I turned off biosdevname on the kernel command line as a work around.
Comment 9 jordan hargrave 2012-10-09 11:24:25 EDT
Hmm, this is an Atheros Wifi card. I thought biosdevname had blacklisted that card... looks like this is a different PCI Vendor/Device code than previous cards.

See RedHat bugzilla 801885, 789635, 781572
Comment 10 Fedora End Of Life 2013-07-03 21:16:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 01:35:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.